For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
      • DELDelete an automated message
      • POSTSend an automated message to a visitor
      • PUTUpdate an automated message
      • GETGet an automated message
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
ConversationsAutomated Messages

Delete an automated message

DELETE
https://api.brevo.com/v3/conversations/pushedMessages/:id
DELETE
/v3/conversations/pushedMessages/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.conversations.deleteAnAutomatedMessage("id");
8}
9main();

Delete an automated (pushed) message by its ID.

Was this page helpful?
Previous

Send an automated message to a visitor

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired
ID of the message

Response

The message was deleted from the conversation.

Errors

400
Bad Request Error
404
Not Found Error